import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { BaseStyles, ThemeProvider, theme } from '@primer/react';
import JupyterLabCss from './JupyterLabCss';
export const JupyterLabTheme = (props) => {
    const { children, colorMode } = props;
    return (_jsxs(_Fragment, { children: [_jsx(JupyterLabCss, { colorMode: colorMode }), _jsx(ThemeProvider, { theme: theme, colorMode: colorMode === 'light' ? 'day' : 'night', dayScheme: "light", nightScheme: "dark", children: _jsx(BaseStyles, { children: children }) })] }));
};
JupyterLabTheme.defaultProps = {
    colorMode: 'light',
};
export default JupyterLabTheme;
//# sourceMappingURL=JupyterLabTheme.js.map